aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/macosx
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2018-06-20 15:59:41 -0700
committerAnders Broman <a.broman58@gmail.com>2018-06-21 03:32:27 +0000
commit17604f15a1a1fe4199449150675c2613874ae4a5 (patch)
treec62ebf67154132de9c8a0a987257310558a00bcb /packaging/macosx
parent7f77259e55639971ea7710ea41abc55f2ef8d089 (diff)
CMake+macOS: Make sure we're using the right Qt tools.
Qt5CoreConfigExtras.cmake sets Qt5::qmake. Use it to find the corresponding path to macdeployqt and use those in osx-app.sh. Change-Id: I2e67f0126e272fc95d40476b9bfc83ab38d73cee Reviewed-on: https://code.wireshark.org/review/28359 Reviewed-by: Gerald Combs <gerald@wireshark.org> Petri-Dish: Gerald Combs <gerald@wireshark.org> Tested-by: Petri Dish Buildbot Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'packaging/macosx')
-rwxr-xr-xpackaging/macosx/osx-app.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/packaging/macosx/osx-app.sh.in b/packaging/macosx/osx-app.sh.in
index 1c92099eef..512036336b 100755
--- a/packaging/macosx/osx-app.sh.in
+++ b/packaging/macosx/osx-app.sh.in
@@ -106,7 +106,7 @@ if [ ! -d "$bundle" ] ; then
exit 1
fi
-qt_frameworks_dir=$( qmake -query QT_INSTALL_LIBS )
+qt_frameworks_dir=$( "@QT_QMAKE_EXECUTABLE@" -query QT_INSTALL_LIBS )
if [ ! -d "$qt_frameworks_dir" ] ; then
echo "Can't find the Qt frameworks directory" >&2
exit 1
@@ -205,7 +205,7 @@ fi
# This may not work on Qt 5.5.0 or 5.5.1:
# https://bugreports.qt.io/browse/QTBUG-47868
#
-macdeployqt "$bundle" -no-strip -verbose=2 || exit 1
+"@QT_MACDEPLOYQT_EXECUTABLE@" "$bundle" -no-strip -verbose=2 || exit 1
#
# The build process added to the Wireshark binary an rpath entry